### Signal

# GtkSource Completion::provider-removed

#### Declaration

    void
    provider_removed (
      GtkSourceCompletion* self,
      GtkSourceCompletionProvider* provider,
      gpointer user_data
    )

#### Description [src]

The “provided-removed” signal is emitted when a provider has been removed from the completion.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  A `GtkSourceCompletionProvider`.

  The data is owned by the caller of the function.